using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BigFixSoap
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            // Initialize the query field for convenience
            textBoxQuery.Text = "names of bes sites";
        }

        private void buttonRun_Click(object sender, EventArgs e)
        {
            razorbill_bes_webreports.RelevanceService bes = new BigFixSoap.razorbill_bes_webreports.RelevanceService();

            String[] res;
            res = bes.GetRelevanceResult(textBoxQuery.Text, "lee_wei", "welcome");

            if (checkBox1.Checked)
            {
                Array.Sort(res);
            }

            textBoxResults.Clear();

            foreach (string str in res)
            {
                textBoxResults.Text = textBoxResults.Text + str + "\r\n";
            }

            labelItems.Text = res.Length.ToString() + " rows returned";
        }

    }
}